"use client";

import toCSV from "./toCSV";

export const handleExportCSV = (dateGroup: any) => {
  // Create CSV header
  const headers = [
    "Run Name",
    "Test Name",
    "Path",
    "Success",
    "Duration (s)"
  ];
  // Create and trigger download
  const blob = new Blob([...toCSV(headers, dateGroup)], {
    type: "text/csv;charset=utf-8;",
  });
  const link = document.createElement("a");
  const url = URL.createObjectURL(blob);
  link.setAttribute("href", url);
  link.setAttribute(
    "download",
    `test-results-${new Date(dateGroup.date)
      .toISOString()
      .substring(0, 10)}.csv`,
  );
  document.body.appendChild(link);
  link.click();
  document.body.removeChild(link);
};

